Subject: Re: Eric Rescorla's Discuss on draft-ietf-httpbis-cdn-loop-01: (with DISCUSS and COMMENT)
From: Mark Nottingham <[email-masked]>
To: Adam Roach <[email-masked]>, Eric Rescorla <[email-masked]>
Cc: [email-masked], [email-masked], Patrick McManus <[email-masked]>, The IESG <[email-masked]>, Tommy Pauly <[email-masked]>, HTTP Working Group <[email-masked]>
Date: Fri, 21 Dec 2018 12:19:02 +1100
List-Id: <ietf-http-wg.w3.org>

On 21 Dec 2018, at 11:40 am, Adam Roach <[email-masked]> wrote:
> 
> I agree with EKR here. The more I think about the situation -- and Mark's responses in particular ("There are relatively few CDNs, and they're pretty aware of each other") -- the more I'm convinced that, while the proposed solution *probably* works in 2018, it may well fail in 2028, depending on how the CDN market evolves. If history is any guide, engineers are pretty terrible futurists. The best we can do is plan for scaling beyond that which we can presently imagine (cf. IPv4). 
> 
> I think some means of collision avoidance here is required prior to document publication.

I agree engineers are terrible futurists; however (and perhaps as a result), we're really really good at over-engineering things for anticipated problems that don't eventuate. My viewpoint here is informed by observing how many Web-related registries operate (or fail to).

The current specification allows us to insert more stringent requirements in the future if necessary. Personally, I think that's sufficient. 

However, if you insist, I think the lowest-impact way to address this is to adopt a structure similar to that used in Via, (hostname under control of the CDN or pseudonym) and encourage (but not require) use of a hostname.

Would that be sufficient for you?

If we do that, we might want to revisit the example, since its use of 'host' might be confusing to readers.

Cheers,

--
Mark Nottingham   https://www.mnot.net/